package com.ibeetl.admin.flow.dao;

import com.ibeetl.admin.flow.entity.DirectedFestivalEntity;
import org.beetl.sql.core.annotatoin.SqlResource;
import org.beetl.sql.core.engine.PageQuery;
import org.beetl.sql.core.mapper.BaseMapper;

import java.util.List;

@SqlResource(value = "flow.festival")
public interface DirectedFestivalDao extends BaseMapper<DirectedFestivalEntity> {

    PageQuery<DirectedFestivalEntity> searchFestival(PageQuery<DirectedFestivalEntity> page);

    void saveFestival(DirectedFestivalEntity entity);

    DirectedFestivalEntity findById(String id);

    DirectedFestivalEntity findByFescod(String fescod);

    void updateFestival(DirectedFestivalEntity entity);

    List<DirectedFestivalEntity> findAllFestival();

    void deleteFesAndChannel(DirectedFestivalEntity entity);
}
